{
    "env": {
        "browser": true,
        "es6": true,
        "node": true,
        "jquery": true,
        "mongo": true,
        "serviceworker": true
    },
    "globals": {
        "Atomics": "readonly",
        "SharedArrayBuffer": "readonly"
    },
    "parserOptions": {
        "ecmaVersion": 2019,
        "sourceType": "module"
    },
    "rules": {
        "no-ternary": 2,
        "no-tabs": 2,
        "indent": [
            1,
            4
        ],
        "brace-style": [
            2,
            "1tbs",
            {
                "allowSingleLine": true
            }
        ],
        "quotes": [
            2,
            "single",
            "avoid-escape"
        ],
        "camelcase": [
            2,
            {
                "properties": "never"
            }
        ],
        "comma-spacing": [
            2,
            {
                "before": false,
                "after": true
            }
        ],
        "comma-style": [
            2,
            "last"
        ],
        "eol-last": 2,
        "func-names": 1,
        "key-spacing": [
            2,
            {
                "beforeColon": false,
                "afterColon": true
            }
        ],
        "new-cap": [
            2,
            {
                "newIsCap": true
            }
        ],
        "no-multiple-empty-lines": [
            2,
            {
                "max": 2
            }
        ],
        "no-nested-ternary": 2,
        "no-new-object": 2,
        "no-spaced-func": 2,
        "no-trailing-spaces": 2,
        "no-extra-parens": [
            2,
            "functions"
        ],
        "no-underscore-dangle": 0,
        "one-var": [
            2,
            "never"
        ],
        "padded-blocks": [
            2,
            "never"
        ],
        "semi-spacing": [
            2,
            {
                "before": false,
                "after": true
            }
        ],
        "keyword-spacing": [
            2,
            {
                "before": true,
                "after": true
            }
        ],
        "space-before-function-paren": [
            2,
            "never"
        ],
        "space-infix-ops": 2,
        "spaced-comment": [
            2,
            "always"
        ],
        "consistent-return": 1,
        "curly": [
            2,
            "multi-line"
        ],
        "default-case": 2,
        "dot-notation": [
            2,
            {
                "allowKeywords": true
            }
        ],
        "eqeqeq": 2,
        "guard-for-in": 2,
        "no-caller": 2,
        "no-else-return": 2,
        "no-eq-null": 2,
        "no-eval": 2,
        "no-extend-native": 2,
        "no-extra-bind": 2,
        "no-fallthrough": 2,
        "no-floating-decimal": 2,
        "no-implied-eval": 2,
        "no-lone-blocks": 2,
        "no-loop-func": 2,
        "no-multi-str": 2,
        "no-native-reassign": 2,
        "no-new": 2,
        "no-new-func": 2,
        "no-new-wrappers": 2,
        "no-octal": 2,
        "no-octal-escape": 2,
        "no-param-reassign": 0,
        "no-proto": 2,
        "no-redeclare": 2,
        "no-return-assign": 2,
        "no-script-url": 2,
        "no-self-compare": 2,
        "no-sequences": 2,
        "no-throw-literal": 2,
        "no-with": 2,
        "radix": 2,
        "vars-on-top": 1,
        "wrap-iife": [
            2,
            "any"
        ],
        "yoda": 2
    }
}
